This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015584 - S-RAMP Distribution deployment
S-RAMP Distribution deployment
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Eric Wittmann
Stefan Bunciak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 10:25 EDT by Nick Cross
Modified: 2014-02-06 10:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Cross 2013-10-04 10:25:44 EDT
1. s-ramp-distro-assembly contains multiple assemblies to produce different zips. Can this be split into different modules e.g.
 s-ramp-distro-assembly
 s-ramp-distro-assembly-cli
 s-ramp-distro-assembly-demos
so that each zip can be deployed?

2. Can the deployment be enabled (even if via a profile) as that would mean we wouldn't have to patch the code.
Comment 2 Eric Wittmann 2013-10-04 11:13:53 EDT
I'm in favor of enabling deployment in all cases - no reason not to have the .zip in nexus.  I think we were trying to prevent large deployments from showing up there, but we should reconsider.
Comment 5 Eric Wittmann 2013-11-08 12:49:59 EST
This has been done.  Additionally I moved the s-ramp-demos project up to the root of s-ramp, so it's now a direct child of s-ramp.
Comment 6 Stefan Bunciak 2014-01-16 06:19:54 EST
Verified in FSW 6.0.0.ER8

Note You need to log in before you can comment on or make changes to this bug.